# $Revision: 1.19 $, $Date: 2002/04/23 18:51:26 $
Summary:	A software library for manipulating ID3v1 and ID3v2 tags
Summary(pl):	Biblioteka do zarzdzania znacznikami ID3v1 oraz ID3v2
Name:		id3lib
Version:	3.7.13
Release:	5
License:	LGPL
Group:		Libraries
Source0:	ftp://download.sourceforge.net/pub/sourceforge/id3lib/%{name}-%{version}.tar.gz
Patch0:		%{name}-configure.patch
Patch1:		%{name}-nozlibpopt.patch
URL:		http://id3lib.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	popt-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		__cc		%{__cxx}

%description
This package provides a software library for manipulating ID3v1 and
ID3v2 tags. It provides a convenient interface for software developers
to include standards-compliant ID3v1/2 tagging capabilities in their
applications. Features include identification of valid tags, automatic
size conversions, (re)synchronisation of tag frames, seamless tag
(de)compression, and optional padding facilities.

%description -l pl
Pakiet dostarcza bibliotek pozwalajc na manipulacje znacznikami
ID3v1 oraz ID3v2. Dostarcza on przekonywujcy interfejs dla
programistw pozwalajc na dodawanie moliwoci obsugi znacznikw
ID3v1/2 w ich wasnych aplikacjach. Moliwoci biblioteki to
identyfikacja prawidowych znacznikw, automatyczna konwersja
rozmiaru, synchronizacja ramek, dekompresja itp.

%package devel
Summary:	Headers for developing programs that will use id3lib
Summary(pl):	Pliki nagwkowe dla programistw uywajcych id3lib
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This package contains the headers that programmers will need to
develop applications which will use id3lib, the software library for
ID3v1 and ID3v2 tag manipulation.

%description devel -l pl
Pakiet zawiera pliki nagwkowe, ktre bd potrzebne programistom
chccych rozwija aplikacje uywajce biblioteki id3lib.

%package static
Summary:	Static id3lib libraies
Summary(pl):	Statyczne biblioteki id3lib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static id3lib libraies.

%description static -l pl
Statyczne biblioteki id3lib.

%package utils
Summary:	Simple id3 utils
Summary(pl):	Proste narzdzia do id3
Group:		Applications/File
Requires:	%{name} = %{version}

%description utils
Few simple utilities to manipulate on ID3 tags: id3convert, id3cp,
id3info, id3tag.

%description utils -l pl
Kilka prostych narzdzi do obsugi tagw ID3: id3convert, id3cp,
id3info, id3tag.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
libtoolize --copy --force
aclocal -I m4
autoconf
automake -a -c -f
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR=$RPM_BUILD_ROOT install

gzip -9nf AUTHORS ChangeLog HISTORY NEWS README THANKS TODO

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc {A*,H*,N*,R*,T*}.gz
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc ChangeLog.gz
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: id3lib.spec,v $
Revision 1.19  2002/04/23 18:51:26  kloczek
- better way for map %%{__cc} to %{__cxx}.

Revision 1.18  2002/04/14 19:23:30  marcus
- added patch to preserve using embedded popt and zlib
- rel.5.

Revision 1.17  2002/03/30 22:43:56  qboosh
- added -utils subpackage; release 4

Revision 1.16  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.15  2002/03/11 20:13:56  grzegol
- added CC=g++ to configure (without this, library was linked by gcc,
  without libstdc++, and gave unresolved symbols)
	Maybe it can be resolved better, but I don't know how.
- rel. 2

Revision 1.14  2002/02/23 02:59:06  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/02 20:19:01  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.11  2002/02/01 00:37:27  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.10  2002/01/18 02:13:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/10/02 23:33:18  blues
- release 2
- ac2.5 ready

Revision 1.8  2001/04/22 00:20:11  kloczek
- cosmetics.

Revision 1.7  2001/04/21 12:28:24  misiek
- BuildRequires: libtool automake autoconf zlib-devel popt-devel
- updated to 3.7.13
- added pl summary and descriptions
- release 1

Revision 1.6  2000/10/05 19:35:31  kloczek
- updated to 3.7.12,
- use new rpm automation suit.

Revision 1.5  2000/06/25 16:00:18  kloczek
- updated to 3.7.10.

Revision 1.4  2000/06/13 20:08:03  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.3  2000/06/10 08:21:23  kloczek
- added static subpackage,
- removed examples subpackage,
- added stripping shard libraries,
- fixed passing $RPM_OPT_FLAGS to compile options,
- some cosmetics.

Revision 1.2  2000/06/09 07:22:59  kloczek
- added using %%{__make} macro.

Revision 1.1  2000/06/03 02:04:35  bonkey
- initial. based on original. adapterized a little.

Based on spec by Scott Haug <scott@id3.org>.
